<template>
  <div>
    <h5 class="footer-title text-uppercase">
      Công ty CP Thương mại và Sản xuất de Charme
    </h5>
    <div
      class="footer-address"
      v-for="(addressItem, index) in addressList"
      :key="index"
    >
      <p class="mb-0">{{ addressItem.name }}</p>
      <p class="mb-0">Hotline: {{ addressItem.hotline }}</p>
      <p class="mb-0">Tel : {{ addressItem.tel }}</p>
      <p class="mb-0">Địa chỉ : {{ addressItem.address }}</p>
    </div>

    <div class="footer-address">
      <p class="mb-0">Hotline 1 : 0961 005 503</p>
      <p class="mb-0">Hotline 2 : 0961 135 220</p>
      <p class="mb-0">Hotline 3 : 0983 171 270</p>
      <p class="mb-0">Tổng đài hỗ trợ: 024.6686.1582</p>
      <p class="mb-0">Email: info@dongphucocean.vn</p>
    </div>
    <div class="footer-address">
      <p class="mb-0">Tổng đài hỗ trợ hoạt động:</p>
      <p class="mb-0">Thứ 2 đến Thứ 7, từ 8h đến 18h.</p>
    </div>
  </div>
</template>

<script>
import { getAddressData } from "~~/services/mock-data/address/address-api";

export default {
  name: "FooterAddress",
  data() {
    return {
      addressList: [],
    };
  },
  async mounted() {
    this.addressList = await getAddressData();
  },
};
</script>

<style lang="scss">
.footer-address {
  + .footer-address {
    margin-top: 34px;
  }
}
.footer-title {
  line-height: 1.6;
  margin-bottom: 3px;
}
</style>
